/*

----- TABLE OF CONTENTS -----

1.0         GENERAL FORMATTING
2.0         FONTS
3.0         CONTAINERS
4.0         IN-CLASS MENU FORMATTING
5.0         ACCORDION PAGE FORMATTING
    5.1     LESSON-SPECIFIC
    5.2     GENERAL
6.0         TEST ENVIRONMENT FORMATTING
7.0         HOMEWORK LESSONS FORMATTING
    7.1     MAIN PAGE
    7.2     STUDENT MAIN PAGE
    7.3     TEACHER MAIN PAGE
    7.4     ASSIGNMENT PAGES
8.0         MESSAGE FORMATTING

*/


/* ********** 1.0 GENERAL FORMATTING ********** */
body {
	min-height: 100%;
	height: 100%;
	width: 100%;
	display: table;
}

html {
	min-height: 100%;
	height: 100%;
}

/* ********** 2.0 FONTS ********** */
@font-face {
    font-family: 'Audiowide';
    src: url('../fonts/Audiowide-Regular.ttf') format('truetype');
}

@font-face {
    font-family: "Cena";
    src: url('../fonts/ARCENA.ttf') format("truetype");
}

@font-face {
    font-family: "Gill";
    src: url('../fonts/GILC.ttf') format("truetype");
}

@font-face {
    font-family: "Segoe";
    src: url('../fonts/seguisb.ttf') format("truetype");
}

/* ********** 3.0 CONTAINERS ********** */
.box {
	width: 100%;
	height: 300px;
	border: 2px solid #555577;
	border-radius: 8px;
	margin: 5px;
	padding: 5px;
}

/* ********** 4.0 IN-CLASS MENU FORMATTING ********** */
.lesson_title {
	color: #000099;
	text-decoration: none;
	font-size: 1.5em;
	font-weight: bold;
}

.lesson_title a {
	color: #000099;
	text-decoration: none;
}

.lesson_title a:hover {
	color: #5555ff;
	text-decoration: none;
	text-shadow: 1px 1px 1px #000022;
}

.lesson_description {
	color: #333333;
	text-decoration: none;
	font-size: 1.1em;
	text-shadow: 1px 1px 1px white;
}

.ccss_standard {
	display: inline-block;
	border: 1px solid #333333;
	border-radius: 4px;
	padding: 1px 3px 0px 3px;
	font-size: 0.9em;
	text-decoration: none;
	background-color: #cceeff;
}

.ccss_standard:hover {
	background-color: white;
}

.ccss_standard a {
	color: #000088;
	text-decoration: none;
}

.ccss_standard a:link {
	color: #000088;
	text-decoration: none;
}

.ccss_standard a:hover {
	font-weight: bold;
	color: #0000dd;
	text-decoration: none;
}

/* ********** 5.0 ACCORDION PAGE FORMATTING ********** */

/* ********** 5.1 LESSON-SPECIFIC ********** */
#yourlife {
	background-image: url(../images/your_life.jpg);
	background-position: bottom;
}

#yourlife_container {
	background-color: #d9ef84;
}

#blocks {
	background-image: url(../images/blocks.jpg);
	background-position: bottom;
}

#blocks_container {
	background-color: #a9ff84;
}

#shipshape {
    background-image: url(../images/shipshape.jpg);
	background-position: bottom;
}

#shipshape_container {
	background-color: #f2d6a6;
}

/* ********** 5.2 GENERAL ********** */
.header {
	width: 100%;
	height: 50px;
	padding: 5px;
	background-color: #0275d8;
}

.header_container {
	width: 800px;
	margin-left: auto;
	margin-right: auto;
}

.header_logo {
	float: left;
}

.header_title {
	font-size: 30px;
	color: white;
	font-family: "Audiowide";
	padding-left: 10px;
	padding-right: 12px;
	float: left;
}

.header_menuitem {
	font-size: 16px;
	color: #aaddff;
	font-family: "Arial";
	font-weight: bold;
	padding-left: 10px;
	padding-top: 10px;
	float: left;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
}

.header_menuitem a {
	color: #aaddff;
	text-decoration: none;
}

.header_menuitem a:hover {
	color: #cceeff;
	text-decoration: none;
}

.spacer {			/* This is used to create white space between sections */
	padding: 10px;
}

.title_strip {		/* This is the strip that appears above the lesson */
	width: 100%;
	height: 150px;
	background-color: #0275d8;
	padding-top: 10px;
}

.title_container {
	width: 800px;
	margin-left: auto;
	margin-right: auto;
}

.title_lesson_name {
	width: 400px;
	float: left;
	color: white;
	font-family: "Gill";
	font-size: 75px;
	line-height: 65px;
}

.mainpage_container {	/* This is the container for the main content */
	height: 800px;
}

.mainpage {
	width: 800px;
	margin-left: auto;
	margin-right: auto;
	padding: 20px 0px;
}

.lesson_header {
	
}

.workbox {			/* This controls what the students will interact with */
	width: 400px;
	float: left;
}

.workbox h3 {
	width: 400px;
	text-align: left;
	font-family: "Gill";
	font-size: 30px;
	line-height: 30px;
	padding: 1px 4px;
	border: none;
	background-color: #0275d8;
	color: white;
}

.workbox_content {
	background-color: white;
	padding: 4px;
	margin-top: -8px;
	margin-bottom: 8px;
	height: 300px;
}

.workbox_content p {
	font-family: "Arial";
	font-size: 20px;
	line-height: 24px;
}

.workbox_input {
	font-family: "Segoe";
	font-size: 16px;
	color: black;
	border-radius: 6px;
	padding: 1px 4px;
	width: 150px;
	background: white;    
	background: -webkit-radial-gradient(white, #e3e3e3, #bbbbbb);
	background: -o-radial-gradient(white, #e3e3e3, #bbbbbb);
	background: -moz-radial-gradient(white, #e3e3e3, #bbbbbb);
	background: radial-gradient(white, #e3e3e3, #bbbbbb);
}

.workbox_input_small {
	font-family: "Segoe";
	font-size: 16px;
	color: black;
	border-radius: 6px;
	padding: 1px 4px;
	width: 70px;
	background: white;    
	background: -webkit-radial-gradient(white, #e3e3e3, #bbbbbb);
	background: -o-radial-gradient(white, #e3e3e3, #bbbbbb);
	background: -moz-radial-gradient(white, #e3e3e3, #bbbbbb);
	background: radial-gradient(white, #e3e3e3, #bbbbbb);
}

.workbox_button {
	display: inline;
	font-family: "Segoe";
	font-size: 16px;
	color: #ffffaa;
	text-shadow: 1px 1px 1px #002200;
	border-radius: 8px;
	border-color: #5bd734;
	padding: 0px 8px;
	background: #1c881b;    
	background: -webkit-radial-gradient(#1c881b, #3a902e, #5bd734);
	background: -o-radial-gradient(#1c881b, #3a902e, #5bd734);
	background: -moz-radial-gradient(#1c881b, #3a902e, #5bd734);
	background: radial-gradient(#1c881b, #3a902e, #5bd734);
}

.workbox_hint {
	font-size: 14pt;
	color: #9999aa;
}

#accordion h3:focus {
	outline: 0;
}

#accordion h3:hover {
	cursor: pointer;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
}

button:focus {
	outline: 0 !important;
}

.display_box {
	width: 350px;
	float: right;
}

#student_canvas {
	border: 4px ridge #4dbb55;
	background-color: #ffffff;
}

.lesson_box {
    height: 300px;
    border: 4px ridge #0275d8;
    border-radius: 8px;
    padding: 2px 10px;
}

.lesson_box_title {
    font-family: "Gill";
    font-size: 36px;
    color: #0275d8;
}

.lesson_box_description {
    font-family: "Segoe";
    font-size: 16px;
}

/* ********** 6.0 TEST ENVIRONMENT FORMATTING ********** */
.test_environment {
    color: white;
    font-family: "Segoe";
    font-size: 20px;
}

/* ********** 7.0 HOMEWORK LESSONS FORMATTING ********** */

/* ********** 7.1 MAIN PAGE ********** */
#leftbox {
	background-color: #0275d8;
	display: table-cell;
    
}

#middlebox {
	background-color: white;
	display: table-cell;
}

#rightbox {
	background-color: #0275d8;
	display: table-cell;
}

.welcome-text {
    color: #0275d8;
    font-family: "Segoe";
    font-size: 2em;
}

/* ********** 7.2 STUDENT MAIN PAGE ********** */

/* ********** 7.3 TEACHER MAIN PAGE ********** */
.main-page-teacher-header {
    color: #333;
    font-family: "Segoe";
    font-size: 1.4em;
}

.main-page-teacher-table {
    width: 100%;
    max-width: 98vw;
    table-layout: fixed;
}

.main-page-teacher-table tr {
    font-family: "Segoe";
}

.main-page-teacher-table tr th {
    background-color: #ffc726;
    padding: 2px 5px;
    font-size: 1.2em;
}

.main-page-teacher-table tr td {
    color: #333;
    font-size: 1.1em;
    padding: 2px 0;
}

.main-page-teacher-table tr:nth-child(2n+1) {
    background-color: #ddd;
}

.main-page-teacher-button {
    margin-top: 5px;
    padding: 2px 5px;
    border: 3px outset #ffc726;
    border-radius: 6px;
    background-color: #0275d8;
    font-family: "Segoe";
    font-size: 1.4em;
    float: left;
    color: white;
    outline: 2px;
    -webkit-user-select: none; /* Safari */        
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* IE10+/Edge */
    user-select: none; /* Standard */
    cursor: pointer;
}

.main-page-teacher-button:focus,
.main-page-teacher-button:hover {
    background-color: #3490df;
}

.main-page-teacher-button:active {
    background-color: #015197;
    color: #ccc;
    border: 3px inset #ffc726;
}

.main-page-student-header {
    color: #333;
    font-family: "Segoe";
    font-size: 1.4em;
}

.main-page-student-table {
    width: 100%;
    table-layout: fixed;
}

.main-page-student-table tr {
    font-family: "Segoe";
}

.main-page-student-table tr th {
    background-color: #ffc726;
    padding: 2px 5px;
    font-size: 1.2em;
}

.main-page-student-table tr td {
    color: #333;
    font-size: 1.1em;
    padding: 2px 0;
}

.main-page-student-table tr:nth-child(2n+1) {
    background-color: #ddd;
}

.main-page-student-button {
    margin-top: 5px;
    padding: 2px 5px;
    border: 3px outset #ffc726;
    border-radius: 6px;
    background-color: #0275d8;
    font-family: "Segoe";
    font-size: 1.4em;
    float: left;
    color: white;
    outline: 2px;
}

.main-page-student-button:focus,
.main-page-student-button:hover {
    background-color: #3490df;
}

.main-page-student-button:active {
    background-color: #015197;
    color: #ccc;
    border: 3px inset #ffc726;
}

/* ********** 8.0 MESSAGE FORMATTING ********** */
.error-display {
    color: red;
    font-weight: bold;
    font-style: italic;
    margin-bottom: 10px;
}